Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 Ethernet Database Port Definitions (IxEthDBPortDefs) IXP425 Ethernet Port Definitions for private MAC learning API. More...
## Data Structures
struct | IxEthDBPortDefinition
| Port Definition - a structure contains the Port type and capabilities. More...
## Defines
#define | IX_ETH_DB_NUMBER_OF_PORTS
| number of supported ports
#define | IX_ETH_DB_PORTS_ASSERTION
| catch invalid port definitions (<2) with a compile-time assertion resulting in a duplicate case error.
#define | COMPLETE_ETH_PORT_MAP
| complete set of ports in use
#define | IX_ETH_DB_CHECK_PORT(portID)
| safety checks to verify whether the port is invalid or uninitialized
## Enumerations
enum | IxEthDBPortType { ETH_GENERIC, ETH_NPE }
| Port types - currently only Ethernet NPEs are recognized as specific types. More...
enum | IxEthDBPortCapability { NO_CAPABILITIES, ENTRY_AGING }
| Port capabilities - used by ixEthAccDatabaseMaintenance to decide whether it should manually age entries or not depending on the port capabilities. More...
## Detailed Description IXP425 Ethernet Port Definitions for private MAC learning API. ## Define Documentation
#define COMPLETE_ETH_PORT_MAP
| complete set of ports in use only ports 0, 1 and 2 are in use - sets bit[n] to 1 if port[n] exists Definition at line 122 of file IxEthDBPortDefs.h.
#define IX_ETH_DB_CHECK_PORT | ( | portID |  | ) |
| safety checks to verify whether the port is invalid or uninitialized Definition at line 128 of file IxEthDBPortDefs.h.
#define IX_ETH_DB_NUMBER_OF_PORTS
| number of supported ports Definition at line 107 of file IxEthDBPortDefs.h.
#define IX_ETH_DB_PORTS_ASSERTION
| catch invalid port definitions (<2) with a compile-time assertion resulting in a duplicate case error. Definition at line 114 of file IxEthDBPortDefs.h.
## Enumeration Type Documentation
enum IxEthDBPortCapability
  | Port capabilities - used by ixEthAccDatabaseMaintenance to decide whether it should manually age entries or not depending on the port capabilities. Ethernet NPEs have aging capabilities, meaning that they will age the entries automatically (by themselves). Enumeration values:
  NO_CAPABILITIES | no aging capabilities
  ENTRY_AGING | aging capabilities present
Definition at line 72 of file IxEthDBPortDefs.h.
enum IxEthDBPortType
  | Port types - currently only Ethernet NPEs are recognized as specific types. Enumeration values:
  ETH_GENERIC | generic ethernet port - not supported
  ETH_NPE | specific Ethernet NPE
Definition at line 60 of file IxEthDBPortDefs.h.
Automatically generated from sources. © Intel Corp. 2003